This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 737287

Summary: Won't upgrade due to coreutils-libs issues
Product: [Fedora] Fedora Reporter: darrell pfeifer <darrellpf>
Component: coreutilsAssignee: Ondrej Vasik <ovasik>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: kdudka, maxamillion, ovasik, p, twaugh
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-09-12 07:16:23 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description darrell pfeifer 2011-09-10 13:05:04 EDT
Description of problem:

yum update coreutils
Loaded plugins: langpacks, presto, refresh-packagekit
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package coreutils.x86_64 0:8.12-7.fc17 will be updated
--> Processing Dependency: coreutils = 8.12-7.fc17 for package: coreutils-libs-8.12-7.fc17.x86_64
---> Package coreutils.x86_64 0:8.13-1.fc17 will be an update
--> Finished Dependency Resolution
Error: Package: coreutils-libs-8.12-7.fc17.x86_64 (@koji)
           Requires: coreutils = 8.12-7.fc17
           Removing: coreutils-8.12-7.fc17.x86_64 (@koji)
               coreutils = 8.12-7.fc17
           Updated By: coreutils-8.13-1.fc17.x86_64 (koji)
               coreutils = 8.13-1.fc17
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest
Comment 1 Ondrej Vasik 2011-09-10 13:43:33 EDT
Thanks for report, will fix that in next build...
Comment 2 Ondrej Vasik 2011-09-12 07:16:23 EDT
"Obsoletes: coreutils-libs < 8.13" added in coreutils-8.13-2.fc17 - this should resolve the issue, closing RAWHIDE.
Comment 3 Pádraig Brady 2011-09-12 07:30:18 EDT
Do we really need a separate coreutils-libs package?
It would never be used without coreutils.
Comment 4 Ondrej Vasik 2011-09-12 07:41:30 EDT
No, therefore it was dropped ...